Bug 1561213 (CVE-2018-8976)

Summary: CVE-2018-8976 exiv2: out-of-bounds read in Exiv2::Internal::stringFormat image.cpp
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jgrulich, michel, rdieter
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-06 19:18:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1561214, 1561215, 1561220, 1564689, 1564690    
Bug Blocks: 1561219    

Description Laura Pardo 2018-03-27 22:10:35 UTC
A flaw was found in Exiv2 0.26, jpgimage.cpp allows remote attackers to cause a denial of service (image.cpp Exiv2::Internal::stringFormat out-of-bounds read) via a crafted file.


References:
https://github.com/Exiv2/exiv2/issues/246

Comment 1 Laura Pardo 2018-03-27 22:11:03 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1561214]

Comment 6 Pedro YĆ³ssis Silva Barbosa 2018-04-06 22:38:08 UTC
This issue does not affect the exiv2 version shipped in Red Hat Enterprise Linux 7.4. However, in Red Hat Enterprise Linux 7.5, exiv2 is rebased to the affected version (0.26).

Comment 7 errata-xmlrpc 2019-08-06 12:14:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2101 https://access.redhat.com/errata/RHSA-2019:2101

Comment 8 Product Security DevOps Team 2019-08-06 19:18:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-8976